/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse;

/**
 * @author Piotr Piastucki
 */
public class ClientProperties {

	private final String executable;
	private final String email;
	private final int port;
	private final String pluginPath;
	
	public ClientProperties(String executable, String email, int port, String pluginPath) {
		this.executable = executable;
		this.email = email;
		this.port = port;
		this.pluginPath = pluginPath;
	}

	public String getExecutable() {
		return executable;
	}

	public String getEmail() {
		return email;
	}

	public int getPort() {
		return port;
	}

	public String getPluginPath() {
		return pluginPath;
	}

}
